{
  "name": "@theplacelab/blague",
  "version": "1.1.6",
  "description": "Static site generator, also a joke.",
  "files": [
    "dist"
  ],
  "main": "dist/main.js",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/theplacelab/packages/blague"
  },
  "author": "Andrew Sempere <a@feralresearch.org>",
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "semantic-release": "npm run build; semantic-release",
    "build": "webpack --mode=production",
    "clean": "rm -rf ./dist",
    "watch": "npm run clean && WATCH=true YALC=true webpack --watch --progress --mode=development",
    "zip": "tar -zcvf ./example-site-source.tar.gz ./src/INPUT/*"
  },
  "dependencies": {
    "chokidar": "^3.5.3",
    "fs-extra": "^10.0.1",
    "luxon": "^2.3.1",
    "markdown-it": "^12.3.2",
    "yargs": "^17.4.0"
  },
  "devDependencies": {
    "@babel/core": "^7.17.8",
    "@babel/preset-env": "^7.16.11",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.2.2",
    "babel-loader": "^8.2.4",
    "node-loader": "^2.0.0",
    "semantic-release": "^19.0.2",
    "webpack": "^5.70.0",
    "webpack-cli": "^4.9.2",
    "webpack-shebang-plugin": "^1.1.7"
  },
  "bin": {
    "blague": "./dist/main.js"
  }
}
